Upgrading filebeat from 1.2.3 to 1.3.1


(Rashid O.) #1

I was wondering if there are any backwards incompatibilities between those mentioned versions? Would a simple upgrade suffice?

Regards,
Rashid


(Magnus B├Ąck) #2

I would expect any incompatibilities to be listed in the release notes. I believe 1.2.3 is the last 1.2.x release so studying the release notes for 1.3.0 and 1.3.1 is enough.


(ruflin) #3

If you already upgrade, I would recommend to jump to 5.0.2 which brings lots of bug fixes and is backward compatible. There are a few config options that change but there is a migration script available. Registry will be converted automatically to the new format.


(system) #4

This topic was automatically closed 28 days after the last reply. New replies are no longer allowed.